local M = {}

local tag = 'gates_latch'

local prev_gates_open = 0

local function onReset()
	electrics.values['gates_open'] = 0
	prev_gates_open = 1
end

local dtcounter = 0

local function updateGFX(dt)
	if electrics.values['gates_open'] ~= prev_gates_open then
		if electrics.values['gates_open'] == 0 then
			beamstate.attachCouplers(tag)
		else
			beamstate.detachCouplers(tag)
		end
		prev_gates_open = electrics.values['gates_open']
	end
	--if dtcounter == 60 then
	--	print("gates_open")
	--	print(electrics.values.gates_open)
	--	print("gates_latch")
	--	print(electrics.values.gates_latch)
	--	dtcounter = 0
	--else
	--	dtcounter = dtcounter + 1
	--end
end

local function onCouplerAttached(nodeId, obj2id, obj2nodeId)
end

local function onCouplerDetached(nodeId, obj2id, obj2nodeId)
end

M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX

return M